searchNodes=[{"doc":"NervesMOTD prints a &quot;message of the day&quot; on Nerves devices. To use, add NervesMOTD.print() to the rootfs_overlay/etc/iex.exs file in your Nerves project.","ref":"NervesMOTD.html","title":"NervesMOTD","type":"module"},{"doc":"Print the message of the day This uses the Nerves.Runtime library. In the unlikely event that it's not available, it assumes the system isn't ready and doesn't print the MOTD. Options: :logo - a custom logo to display instead of the default Nerves logo. Pass an empty logo ( &quot;&quot; ) to remove it completely. :extra_rows - custom rows that append to the end of the MOTD.","ref":"NervesMOTD.html#print/1","title":"NervesMOTD.print/1","type":"function"},{"doc":"A label and value","ref":"NervesMOTD.html#t:cell/0","title":"NervesMOTD.cell/0","type":"type"},{"doc":"MOTD options","ref":"NervesMOTD.html#t:option/0","title":"NervesMOTD.option/0","type":"type"},{"doc":"One row of information A row may contain 0, 1 or 2 cells.","ref":"NervesMOTD.html#t:row/0","title":"NervesMOTD.row/0","type":"type"},{"doc":"nerves_motd prints a &quot;message of the day&quot; on Nerves devices.","ref":"readme.html","title":"nerves_motd","type":"extras"},{"doc":"Just invoke NervesMOTD.print/1 in rootfs_overlay/etc/iex.exs of your Nerves projects. NervesMOTD . print ( ) By default, NervesMOTD.print/1 prints Nerves logo, but you can replace it with your custom logo if you wish. NervesMOTD . print ( logo : &quot;&quot;&quot; My custom logo &quot;&quot;&quot; ) You can append your custom rows by passing the :extra_rows parameter to NervesMOTD.print/1 . NervesMOTD . print ( extra_rows : [ [ { &quot;Label&quot; , &quot;value&quot; } , { &quot;Label2&quot; , &quot;value2&quot; } ] , [ { &quot;Long label&quot; , &quot;Lots of text&quot; } ] ] ) For convenience, NervesMOTD.print/1 options may be stored in the application environment in your config.exs : config :nerves_motd , logo : &quot;&quot;&quot; Custom logo &quot;&quot;&quot;","ref":"readme.html#usage","title":"nerves_motd - Usage","type":"extras"},{"doc":"Install by adding :nerves_motd to your list of dependencies in mix.exs : def deps do [ { :nerves_motd , &quot;~&gt; 0.1.0&quot; } ] end For details, see API reference .","ref":"readme.html#installation","title":"nerves_motd - Installation","type":"extras"},{"doc":"Copyright (C) 2022 Masatoshi Nishiguchi, Nerves Project Authors Licensed under the Apache License , Version 2.0 ( the &quot;License&quot; ) ; you may not use this file except in compliance with the License . You may obtain a copy of the License at [ http :// www . apache . org / licenses / LICENSE - 2.0 ] ( http :// www . apache . org / licenses / LICENSE - 2.0 ) Unless required by applicable law or agreed to in writing , software distributed under the License is distributed on an &quot;AS IS&quot; BASIS , WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND , either express or implied . See the License for the specific language governing permissions and limitations under the License .","ref":"readme.html#license","title":"nerves_motd - License","type":"extras"},{"doc":"This project follows Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Improvements Use application environment for default options (#122) Use yellow text color for clock and show unsyncronized help text when clock is out of sync (#74)","ref":"changelog.html#v0-1-12-2023-05-10","title":"Changelog - v0.1.12 - 2023-05-10","type":"extras"},{"doc":"Bug fixees Don't raise if Nerves.Runtime.KV is empty Improvements Test with ANSI off to make tests easier to read Update specs to IO.chardata() for consistency","ref":"changelog.html#v0-1-11-2023-02-04","title":"Changelog - v0.1.11 - 2023-02-04","type":"extras"},{"doc":"Improvements Print milliseconds when uptime &lt; 60s Add serial number","ref":"changelog.html#v0-1-10-2023-02-01","title":"Changelog - v0.1.10 - 2023-02-01","type":"extras"},{"doc":"Improvements Append &quot;°C&quot; to temperature value","ref":"changelog.html#v0-1-9-2022-11-17","title":"Changelog - v0.1.9 - 2022-11-17","type":"extras"},{"doc":"Improvements Show CPU temperature on MOTD Support OTP 25 Update the Nerves CLI help url Fix tests with nerves_runtime &gt;= 0.11.9","ref":"changelog.html#v0-1-8-2022-10-26","title":"Changelog - v0.1.8 - 2022-10-26","type":"extras"},{"doc":"Improvements Skip printing MOTD if Nerves.Runtime isn't started. The previous behavior was to try to start Nerves.Runtime. The scenario this mostly affects is printing the MOTD to the serial console right after Elixir loads, but before Nerves.Runtime and the rest. Besides printing a slightly confusing MOTD of a partially started system, it also could reorder OTP application from the boot script.","ref":"changelog.html#v0-1-7-2022-03-03","title":"Changelog - v0.1.7 - 2022-03-03","type":"extras"},{"doc":"Improvements Add :extra_rows option to allow users to supply additional information to be printed in the MOTD. The use case for this is to show project-specific information like MQTT connection status in addition to the generic info.","ref":"changelog.html#v0-1-6-2021-11-29","title":"Changelog - v0.1.6 - 2021-11-29","type":"extras"},{"doc":"Improvements Print local time when a time zone has been set with NervesTimeZones Handle exceptions from NervesMOTD.print/1 so they don't prematurely end iex.exs scripts Handle Nerves configurations that do not have an application data partition Simplify text handling internally by using Elixir's ansidata throughout","ref":"changelog.html#v0-1-5-2021-11-02","title":"Changelog - v0.1.5 - 2021-11-02","type":"extras"},{"doc":"Improvements Improve the logo so that it can render properly on touchscreen","ref":"changelog.html#v0-1-4-2021-10-17","title":"Changelog - v0.1.4 - 2021-10-17","type":"extras"},{"doc":"Improvements Remove denominator (loaded application count) from the applications section because it is changeable and can cause confusion Change text color for applications not (yet) loaded from red to yellow because most of the time it is transient","ref":"changelog.html#v0-1-3-2021-10-10","title":"Changelog - v0.1.3 - 2021-10-10","type":"extras"},{"doc":"Improvements Show IP addresses assigned to network interfaces","ref":"changelog.html#v0-1-2-2021-09-25","title":"Changelog - v0.1.2 - 2021-09-25","type":"extras"},{"doc":"Updates Refactor the template using iodata Use round instead of trunc for percentage Update screenshot in readme","ref":"changelog.html#v0-1-1-2021-09-15","title":"Changelog - v0.1.1 - 2021-09-15","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2021-09-08","title":"Changelog - v0.1.0 - 2021-09-08","type":"extras"}]